package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.Visa_applicationRepository;
import com.realnet.vpspack.Entity.Visa_application
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;
































	import org.springframework.stereotype.Service;

@Service
 public class Visa_applicationService {
@Autowired
private Visa_applicationRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;































public Visa_application Savedata(Visa_application data) {
































	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Visa_application save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Visa_application> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Visa_application> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Visa_application> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Visa_application getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Visa_application update(Visa_application data,Integer id) {
	Visa_application old = Repository.findById(id).get();
old.setVisa_entry_type(data.getVisa_entry_type());

old.setVisa_duration(data.getVisa_duration());

old.setVisa_processing(data.getVisa_processing());

old.setTravel_start_date(data.getTravel_start_date());

old.setTravel_end_date(data.getTravel_end_date());

old.setPassport_number(data.getPassport_number());

old.setPassport_issue_date(data.getPassport_issue_date());

old.setPassport_expiry_date(data.getPassport_expiry_date());

old.setEmail(data.getEmail());

old.setPhone_number(data.getPhone_number());

old.setBirth_place(data.getBirth_place());

old.setDate_of_birth(data.getDate_of_birth());

old.setGender(data.getGender());

old.setProfession(data.getProfession());

old.setVisa_cost(data.getVisa_cost());

old.setReferrer(data.getReferrer());

final Visa_application test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 
































 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
